Subject: [bug#60636] [PATCH] Add 'manifest.scm'

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 12 Jan 2023 17:31:04 -0500

+CC Ludovic

Hello,

Brian Cully <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> This is intended for the Shepherd repository, right?
>
> Yes. The shepherd documentation pointed me to the Guix ML and
> bugtracker. If there’s somewhere better, I can re-submit.
>
>> The value this provides above 'guix shell -D shepherd' is that it
>> includes the build system bootstrapping packages too (autoconf,
>> automake, etc.), right?
>
> That’s correct. Shepherd can’t be built from a checkout using ‘guix
> shell -D shepherd’ because (according to Ludo) Guix uses the tarball
> as a source, not the git repository. Ludo did mention on IRC that
> shepherd could probably use a manifest.scm when I asked him about it,
> but I don’t want to speak for him more than that.
>
>> Are all these items really needed?  Why do we
>> need GCC, or glibc or gettext for example?
>
> I added every item in response to one of the build steps failing. GCC
> is needed, for instance, because configure tests for the existence of
> a working C compiler (probably because of etc/crash-handler.c, but I
> couldn’t say for sure), glibc is needed because we’ve got a C compiler
> in the mix, and gettext is needed for ‘autoconf-point’.

Adding gcc-toolchain would probably be better than the separate gcc and
glibc.

Other than that, LGTM.  Could you send a v2 with the above change?
Thanks for explaining!

-- 
Thanks,
Maxim